Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 587397 - No picture on HDMI with KMS on Radeon HD 3200
No picture on HDMI with KMS on Radeon HD 3200
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
14
All Linux
low Severity medium
: ---
: ---
Assigned To: Jérôme Glisse
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-29 15:34 EDT by Sven Lankes
Modified: 2018-04-11 12:25 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-01-15 14:41:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Dmesg after boot (51.32 KB, text/plain)
2010-04-29 15:34 EDT, Sven Lankes
no flags Details
Xorg.0.log taken via ssh while thre screen shows "no signal" (84.33 KB, text/plain)
2010-04-29 15:35 EDT, Sven Lankes
no flags Details
dmesg with computer attached to the avr (45.62 KB, text/plain)
2010-07-24 16:03 EDT, Sven Lankes
no flags Details
dmesg with computer attached to the tv directly (60.51 KB, text/plain)
2010-07-24 16:03 EDT, Sven Lankes
no flags Details
Xorg.0.log with computer attached to the avr (96.52 KB, text/plain)
2010-07-24 16:04 EDT, Sven Lankes
no flags Details
Xorg.0.log with computer attached to the tv directly (99.12 KB, text/plain)
2010-07-24 16:04 EDT, Sven Lankes
no flags Details
Xorg.log: diff between AVR and TV EDID (4.62 KB, text/plain)
2010-07-25 18:51 EDT, Chuck Ebbert
no flags Details
requested debug dmesg log (drm.debug=15) (122.78 KB, text/plain)
2010-07-26 17:46 EDT, Sven Lankes
no flags Details

  None (edit)
Description Sven Lankes 2010-04-29 15:34:09 EDT
Created attachment 410211 [details]
Dmesg after boot

Description of problem:

I have a pvr machine connected to a flatscreen tv through a yamaha avr receiver. When booting F13 (kernel -57) the screen turns black as soon as KMS gets invoved.

When I boot with nomodeset the system boots normally and X starts as expected. I'd happily use nomodeset except that without KMS audio over hdmi doesnt work.

kernel-2.6.33.2-57.fc13.x86_64

I'll attach a dmesg and Xorg.0.log
Comment 1 Sven Lankes 2010-04-29 15:35:11 EDT
Created attachment 410213 [details]
Xorg.0.log taken via ssh while thre screen shows "no signal"
Comment 2 Sven Lankes 2010-06-01 09:44:45 EDT
I retested using kernel-2.6.34-14.fc14 - no change.
Comment 3 Sven Lankes 2010-07-24 05:40:11 EDT
I updated the system to rawhide today and the issue persists.

I then tried connecting the computer to the TV directly (without going through the AVR first) and that works as expected.

That means that I cannot use HDMI for audio at all - so the bug is still very much relevant for me.
Comment 4 Chuck Ebbert 2010-07-24 11:28:30 EDT
Can you attach, as 4 separate files, the dmesg and xorg logs from booting rawhide with and without the receiver connected? There should be some differences there...
Comment 5 Sven Lankes 2010-07-24 16:03:06 EDT
Created attachment 434184 [details]
dmesg with computer attached to the avr
Comment 6 Sven Lankes 2010-07-24 16:03:36 EDT
Created attachment 434185 [details]
dmesg with computer attached to the tv directly
Comment 7 Sven Lankes 2010-07-24 16:04:18 EDT
Created attachment 434186 [details]
Xorg.0.log with computer attached to the avr
Comment 8 Sven Lankes 2010-07-24 16:04:46 EDT
Created attachment 434187 [details]
Xorg.0.log with computer attached to the tv directly
Comment 9 Sven Lankes 2010-07-24 16:07:24 EDT
(In reply to comment #4)

> Can you attach, as 4 separate files, the dmesg and xorg logs from booting
> rawhide with and without the receiver connected? There should be some
> differences there...    

I have attached the files.

The EDID is different for the two cases so the AVR seems to be sending it's own EDID or something.

I have tried using 

Section "Device"
    Identifier      "HD3200"
    Driver          "radeon"
    Option          "CustomEDID" "HDMI-0:/etc/X11/samsungtvedid.bin"
EndSection

in /etc/X11/xorg.conf.d/50-samsungtv.conf so that the driver uses the "working" edid even with the avr but the option doesn't seem to be picked up by the driver.
Comment 10 Chuck Ebbert 2010-07-25 18:51:08 EDT
Created attachment 434298 [details]
Xorg.log: diff between AVR and TV EDID
Comment 11 Chuck Ebbert 2010-07-25 18:54:23 EDT
(In reply to comment #9)
> 
> I have tried using 
> 
> Section "Device"
>     Identifier      "HD3200"
>     Driver          "radeon"
>     Option          "CustomEDID" "HDMI-0:/etc/X11/samsungtvedid.bin"
> EndSection
> 
> in /etc/X11/xorg.conf.d/50-samsungtv.conf so that the driver uses the "working"
> edid even with the avr but the option doesn't seem to be picked up by the
> driver.    

It says it's using the values from the config file:

[    31.123] (II) RADEON(0): Using hsync ranges from config file
[    31.123] (II) RADEON(0): Using vrefresh ranges from config file
Comment 12 Sven Lankes 2010-07-26 01:02:44 EDT
> It says it's using the values from the config file:
> [    31.123] (II) RADEON(0): Using hsync ranges from config file
> [    31.123] (II) RADEON(0): Using vrefresh ranges from config file    

Those message have to refer to something else as I took the logfiles I posted first and then started adding the CustomEDID section. The logfiles are taken with no xorg.conf.
Comment 13 Matěj Cepl 2010-07-26 05:02:35 EDT
(In reply to comment #1)
> Created an attachment (id=410213) [details]
> Xorg.0.log taken via ssh while thre screen shows "no signal"    

Unfortunately, KMS is kernel-space issue, so its report don't show up in /var/log/Xorg.0.log. Could we get output of dmesg command when the "no signal" is happening as well, please?

Thank you
Comment 14 Sven Lankes 2010-07-26 05:22:46 EDT
Matej,

the output you're requesting is attached as "dmesg with computer attached to the avr":

https://bugzilla.redhat.com/attachment.cgi?id=434184
Comment 15 Jérôme Glisse 2010-07-26 09:19:16 EDT
Please boot with kms on and with drm.debug=15 and attach the dmesg, am i right assuming that when directly connected to the tv kms works ?
Comment 16 Sven Lankes 2010-07-26 17:46:23 EDT
Created attachment 434534 [details]
requested debug dmesg log (drm.debug=15)
Comment 17 Sven Lankes 2010-07-26 17:48:18 EDT
(In reply to comment #15)

> Please boot with kms on and with drm.debug=15 and attach the dmesg,

Attached as https://bugzilla.redhat.com/attachment.cgi?id=434534

> am i right assuming that when directly connected to the tv kms works ?    

Your are right:

PC -> AVR -> TV ==> No Signal
PC -> TV ==> Works fine
Comment 18 Matěj Cepl 2010-07-27 17:45:17 EDT
(In reply to comment #15)
> Please boot with kms on and with drm.debug=15 and attach the dmesg, am i right
> assuming that when directly connected to the tv kms works ?    

Sorry got confused by the names. Thanks, this is great.
Comment 19 Bug Zapper 2010-07-30 07:30:53 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 14 development cycle.
Changing version to '14'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 20 Chuck Ebbert 2010-08-01 14:32:37 EDT
This commit has appeared upstream. Does it fix this bug?

http://git.kernel.org/?p=linux%2Fkernel%2Fgit%2Ftorvalds%2Flinux-2.6.git;a=commitdiff_plain;h=a4967de6cbb260ad0f6612a1d20

"drm/edid: Fix the HDTV hack sync adjustment"
Comment 21 Sven Lankes 2011-01-15 14:41:52 EST
I'll have to close this bug as I have replaced the mainboard in my pvr machine in the meantime and am no longer able to verify if the fix worked. Sorry.

Note You need to log in before you can comment on or make changes to this bug.